<style scoped lang="less">

  @button-size: 200px;


  .view {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .ring {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid lightgray;

    &.outer {
      width: calc(80px ~"+" @button-size);
      height: calc(80px ~"+" @button-size);
    }

    &.inner {
      width: calc(40px ~"+" @button-size);
      height: calc(40px ~"+" @button-size);
    }
  }

  .link {
    font-size: 32px;
    background: #fff;
    border-radius: 50%;
    border: 1px solid var(--border);
    height: @button-size;
    width: @button-size;
    text-transform: uppercase;
    font-weight: 700;
    box-shadow: 1px 3px 15px -4px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    outline: none;
    transition: all .3s linear;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: inherit;

    &:active {
      box-shadow: none;
    }
  }

</style>

<template>

  <app-view name="start" class="scale">

    <div class="ring outer">

      <div class="ring inner">

        <div  class="link" @click="startScan">
          Start
        </div>

      </div>

    </div>

  </app-view>


</template>

<script>

  import { ScannerActions, NAMESPACE } from 'Store/modules/scanner'

  import Logo    from 'UI/components/logo/logo.vue'
  import AppView from 'UI/components/view/app-view.vue'

  export default {
    name:       'start-view',
    components: { AppView, Logo },
    methods: {
      async startScan() {
        await this.$store.dispatch( `${NAMESPACE}/${ScannerActions.SCANNER_INIT}` )
        await this.$router.push('/scanner')
      }
    },
  }

</script>
